import type { ProjectSchemaJSON } from '../project-schema/index.ts';
import type { ServiceLayers } from '../types/types.ts';
import { ProjectSchemaImpl } from './project-schema.ts';
export declare class UserSchema extends ProjectSchemaImpl {
    private constructor();
    static fromJson(runtimeSchema: ProjectSchemaJSON, layers: ServiceLayers): UserSchema;
}
